{
    "name" : "工装托盘管理",
    "appid" : "__UNI__4AD8FF9",
    "description" : "舾装信息平台-工装托盘管理",
    "versionName" : "1.0.0",
    "versionCode" : 100,
    "transformPx" : false,
    "app-plus" : {
        "flexible" : true,
        // APP-VUE分包，可提APP升启动速度，2.7.12开始支持，兼容微信小程序分包方案，默认关闭
        "optimization" : {
            "subPackages" : true,
            "runmode" : "liberate" // 开启分包优化后，必须配置资源释放模式
        },
        "safearea" : {
            "bottom" : {
                "offset" : "none"
            }
        },
        "compatible" : {
            "ignoreVersion" : true //true表示忽略版本检查提示框，HBuilderX1.9.0及以上版本支持  
        },
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        "usingComponents" : true,
        "nvueCompiler" : "uni-app",
        "compilerVersion" : 3,
        "modules" : {
            "VideoPlayer" : {},
            "Camera" : {},
            "Barcode" : {},
            "Geolocation" : {}
        },
        /* 横竖屏设置 */
        "screenOrientation" : [ "portrait-primary", "landscape-primary" ],
        "distribute" : {
            "screenOrientation" : [ "portrait-primary", "landscape-primary" ],
            "android" : {
                "permissions" : [
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_CONTACTS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a" ]
            },
            "ios" : {
                "privacyDescription" : {
                    "NSPhotoLibraryUsageDescription" : "需要访问相册上传现场巡检照片。",
                    "NSPhotoLibraryAddUsageDescription" : "请允许本应用保存图片到相册。",
                    "NSCameraUsageDescription" : "拍摄照片或者视频上传现场巡检资料。",
                    "NSMicrophoneUsageDescription" : "此应用需要访问您的麦克风。",
                    "NSLocationWhenInUseUsageDescription" : "请允许获取位置以便记录你现场操作的位置。",
                    "NSLocationAlwaysUsageDescription" : "请允许获取位置以便记录你现场操作的位置。",
                    "NSLocationAlwaysAndWhenInUseUsageDescription" : "请允许获取位置以便记录你现场操作的位置。"
                },
                "dSYMs" : false
            },
            //,"idfa" : true
            "sdkConfigs" : {
                "ad" : {},
                "speech" : {
                    "ifly" : {}
                },
                "push" : {},
                "geolocation" : {
                    "system" : {
                        "__platform__" : [ "ios" ]
                    }
                }
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            }
        },
        "nativePlugins" : {
            "Mpaas-Scan" : {
                "AppId" : "ALIPUBBBDB29B021410",
                "License" : "I6qgca8RNAAtCkXmsrQcWMt1YKtMno3ZO5RpW6ncVlcre9bBYmlhWg/UDvAM/O8jobi+iHqB8zTco1R2vYGc08GbXDP3JBCkMbbbK8Qss2QvCBjkQr72Tn1tEf1f1hc+dSgeQmdzo7/lScLt5HZhmuuZuCgQJXDX310XQno6WWaWeyq/y1+HRyE333TShGHJEva2bbcXUKi4f8w+iSFcvzLB3dtmWY/n6KcZf4t4zwSe+Vq4VQSTd1OZ0UkXd86NGg9N+gms9k8aU3kBqivbmW1xN4qPGlraL++LDW5Qf+EyOarbXf8CmY382Pl+ewWClmpAl4WmKIPv6wP8hmUbpQ==",
                "WorkspaceId" : "default",
                "__plugin_info__" : {
                    "name" : "支付宝原生扫码插件",
                    "description" : "支付宝原生扫码组件，包体积仅0.7MB，15分钟即可完成接入。同时，mPaaS提供「扫码分析」大盘",
                    "platforms" : "Android,iOS",
                    "url" : "https://ext.dcloud.net.cn/plugin?id=2636",
                    "android_package_name" : "com.xztpgl.app",
                    "ios_bundle_id" : "",
                    "isCloud" : true,
                    "bought" : 1,
                    "pid" : "2636",
                    "parameters" : {
                        "AppId" : {
                            "des" : "Android平台的AppId，请填写Android的config文件中的appId对应的值",
                            "key" : "mobilegw.appid",
                            "value" : ""
                        },
                        "License" : {
                            "des" : "Android平台的License,，请填写Android的config文件中的mpaasConfigLicense对应的值",
                            "key" : "mpaasConfigLicense",
                            "value" : ""
                        },
                        "WorkspaceId" : {
                            "des" : "Android平台的WorkspaceId，请填写Android的config文件中的workspaceId对应的值",
                            "key" : "workspaceId",
                            "value" : ""
                        }
                    }
                }
            }
        }
    },
    "quickapp" : {},
    "mp-weixin" : {
        "appid" : "",
        "setting" : {
            "urlCheck" : false,
            "es6" : false,
            "minified" : false,
            "postcss" : false
        },
        "optimization" : {
            "subPackages" : true
        },
        "usingComponents" : true,
        "lazyCodeLoading" : "requiredComponents"
    },
    "mp-alipay" : {
        "usingComponents" : true,
        "component2" : true,
        "appid" : ""
    },
    "mp-qq" : {
        "optimization" : {
            "subPackages" : true
        },
        "appid" : ""
    },
    "mp-baidu" : {
        "usingComponents" : true,
        "appid" : ""
    },
    "mp-toutiao" : {
        "usingComponents" : true,
        "appid" : ""
    },
    "networkTimeout" : {
        "uploadFile" : 1200000 //ms， 如果不配置，上传大文件可能会超时
    },
    "orientation" : [
        "portrait-primary",
        "portrait-secondary",
        "landscape-primary",
        "landscape-secondary"
    ],
    "h5" : {
		// "devServer" : {
		// 	"https" : true
		// }
	},
    // "h5" : {
    // 	"title" : "工装托盘管理",
    //     "template" : "template.h5.html",
    //     "router" : {
    //         "mode" : "hash",
    //         "base" : "./"
    //     },
    //     "optimization" : {
    //         "treeShaking" : {
    //             "enable" : false
    //         }
    //     },
    //     "sdkConfigs" : {
    //         "maps" : {}
    //     },
    //     "devServer" : {
    //         "https" : false
    //     },
    //     "domain" : ""
    // },
    "vueVersion" : "2"
}
